org.apache.olingo.commons.api.data

## Class Parameter

- java.lang.Object
- - org.apache.olingo.commons.api.data.Annotatable
  - - org.apache.olingo.commons.api.data.Valuable
    - - org.apache.olingo.commons.api.data.Parameter

-     public class Parameter
      extends Valuable

  Data representation for a parameter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Entity` | `asEntity()` Gets the value in its entity representation or null if it is not based on an entity value type.
    `boolean` | `equals(Object o)`
    `String` | `getName()` Gets the name of the parameter.
    `int` | `hashCode()`
    `boolean` | `isEntity()` Checks whether this parameter value is of the value type ENTITY or COLLECTION_ENTITY.
    `void` | `setName(String name)` Sets the name of the parameter.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Valuable

      `asCollection, asComplex, asEnum, asGeospatial, asPrimitive, getType, getValue, getValueType, isCollection, isComplex, isEnum, isGeospatial, isNull, isPrimitive, setType, setValue`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Annotatable

      `getAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Parameter

          public Parameter()

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the name of the parameter.
      Returns:
        name of the parameter

    - #### setName

          public void setName(String name)

      Sets the name of the parameter.
      Parameters:
        `name` - of the parameter

    - #### isEntity

          public boolean isEntity()

      Checks whether this parameter value is of the value type ENTITY or COLLECTION_ENTITY.
      Returns:
        true if the value type is ENTITY or COLLECTION_ENTITY, otherwise false

    - #### asEntity

          public Entity asEntity()

      Gets the value in its entity representation or null if it is not based on an entity value type.
      Returns:
        entity representation or null if it is not based on an entity value type

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Valuable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Valuable`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Valuable`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.